Subject: bug#58850: 29.0.50; sqlite crashes on error

From: Andrew Hyatt <[email-masked]>
Date: Tue, 1 Nov 2022 23:33:32 -0400

On Tue, Nov 1, 2022 at 5:16 AM Gerd Möllmann <[email-masked]>
wrote:

> Gerd Möllmann <[email-masked]> writes:
>
> > I haven't taken a close look, but I know that reading symbols goes so
> > great lengths of growing its buffer as needed.  Maybe this is missing in
> > this case.  Or something similar.
>
> I've pushed a fix to master.  Could you please check, Andrew?
>

It does work for me, thank you for the fix!  I don't think I really
understand what is going on here either (does anyone? is the length of the
path in the name the relevant thing here?), but if there's a solution that
works, then that's enough for me, thanks.  I'll close this bug.